%define pkg_name        Class-Accessor
%define pkg_version     0.31
%define rpm_pkg_version 0.31
%define rpm_pkg_release 1.n0i.12


Summary:       Automated accessor generation
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KA/KASEI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(base) >= 1.01
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(base) >= 1.01}


%description
This module automagically generates accessor/mutators for your class.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.31-1.n0i.12
- version 0.31

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.30-1.n0i.11
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.30

* Sat Apr 01 2006 Marius Feraru <altblue@n0i.net> - 0.25-1.n0i.10
- version 0.25

* Tue Sep 06 2005 Marius Feraru <altblue@n0i.net> 0.22-1.n0i.9
- version 0.22

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.19-3.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.19-2.n0i.7
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.19-2.n0i.6
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.19-1.n0i.5
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:0.19-1.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:0.19-1.n0i.3
- version 0.19

* Thu Jan 22 2004 Marius FERARU <altblue.net> 0:0.18-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Fri Jan 09 2004 Marius FERARU <altblue@n0i.net> 0:0.18-0.n0i.1
- version 0.18
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
